"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
describe('GetBanglaNumber', function () {
    test('when passes 1287125', function () {
        expect(index_1.default.getBanglaNumber(1287125)).toBe('১২৮৭১২৫');
    });
    test("when passes '1287125'", function () {
        expect(index_1.default.getBanglaNumber('1287125')).toBe('১২৮৭১২৫');
    });
    test('when passes 1287.125', function () {
        expect(index_1.default.getBanglaNumber(1287.125)).toBe('১২৮৭.১২৫');
    });
    test("when passes '1287.125'", function () {
        expect(index_1.default.getBanglaNumber('1287.25')).toBe('১২৮৭.২৫');
    });
    test('when passes 0.125', function () {
        expect(index_1.default.getBanglaNumber(0.125)).toBe('০.১২৫');
    });
    test('when passes -0.125', function () {
        expect(index_1.default.getBanglaNumber(-0.125)).toBe('-০.১২৫');
    });
    test("when passes '-.125'", function () {
        expect(index_1.default.getBanglaNumber('-.125')).toBe('-.১২৫');
    });
    test('when passes -5.125', function () {
        expect(index_1.default.getBanglaNumber(-5.125)).toBe('-৫.১২৫');
    });
    test("when passes '12,87,125'", function () {
        expect(function () { return index_1.default.getBanglaNumber('12,87,125'); }).toThrow();
    });
    test("when passes '1234e54'", function () {
        expect(function () { return index_1.default.getBanglaNumber('1234e54'); }).toThrow();
    });
    test('when passes 12.34.54', function () {
        expect(function () { return index_1.default.getBanglaNumber('12.34.54'); }).toThrow();
    });
});
