"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var validators_1 = require("./validators");
var englishToBangla = {
    0: '০',
    1: '১',
    2: '২',
    3: '৩',
    4: '৪',
    5: '৫',
    6: '৬',
    7: '৭',
    8: '৮',
    9: '৯',
};
var getBanglaNumber = function (englishNumber) {
    var englishNumberStr = typeof englishNumber === 'string'
        ? englishNumber
        : englishNumber.toString();
    if (!validators_1.isNumber(englishNumberStr)) {
        throw new Error('Input should contain only digits!');
    }
    return englishNumberStr.replace(/\d/g, function (matched) { return englishToBangla[matched]; });
};
exports.default = getBanglaNumber;
